function [A, phi] = assembleQFE2(mesh, f)

    A = assemMat_QFE(mesh, @wrong);
    phi = assemLoad_QFE(mesh, P7O6(), f);

    function Aloc = wrong(Vertices, ElemInfo, varargin)

        h = max([norm(Vertices(1,:) - Vertices(2,:)), norm(Vertices(2,:)-Vertices(3,:)),...
        norm(Vertices(3,:)-Vertices(1,:))]);

        Aloc = STIMA_Lapl_QFE(Vertices, ElemInfo);
        Aloc(1,1) = Aloc(1,1) * (1+h);
        Aloc(2,2) = Aloc(2,2) * (1+h);
        Aloc(3,3) = Aloc(3,3) * (1+h);

    end

end
