function Mesh = bdflags(Mesh)

    loc = get_BdEdges(Mesh);
    Mesh.BdFlags = zeros(size(Mesh.Edges,1),1);
    for i = loc'
        verts = Mesh.Coordinates(Mesh.Edges(i,:),:);
        if abs(verts(1,2)) < 1e-6 && abs(verts(2,2)) < 1e-6 && verts(1,1) <= 1e-6 && verts(2,1) <= 1e-6
            Mesh.BdFlags(i) = -1;
        else
            Mesh.BdFlags(i) = -2;
        end
    end

end
