H = 10.^(-1:-0.25:-2);
Nvals = zeros(size(H));
l2errs = zeros(size(H));
h1errs = zeros(size(H));

for i = 1:length(H)
    [n, l2, h1] = main(H(i));
    Nvals(i) = n;
    l2errs(i) = l2;
    h1errs(i) = h1;
end

loglog(Nvals,h1errs)

p = polyfit(log(Nvals), log(l2errs), 1);
-p(1) 

p = polyfit(log(Nvals), log(h1errs), 1);
-p(1) 
