load('squaremesh.mat');

err1 = zeros(5,1);
err2 = zeros(5,1);
err3 = zeros(5,1);
h = zeros(5,1);

exactval = 23.7608;

err1(1) = abs(test_assembleQFE(mesh1, @assembleQFE1) - exactval);
err2(1) = abs(test_assembleQFE(mesh1, @assembleQFE2) - exactval);
err3(1) = abs(test_assembleQFE(mesh1, @assembleQFE3) - exactval);
h(1) = get_MeshWidth(mesh1);

err1(2) = abs(test_assembleQFE(mesh2, @assembleQFE1) - exactval);
err2(2) = abs(test_assembleQFE(mesh2, @assembleQFE2) - exactval);
err3(2) = abs(test_assembleQFE(mesh2, @assembleQFE3) - exactval);
h(2) = get_MeshWidth(mesh2);

err1(3) = abs(test_assembleQFE(mesh3, @assembleQFE1) - exactval);
err2(3) = abs(test_assembleQFE(mesh3, @assembleQFE2) - exactval);
err3(3) = abs(test_assembleQFE(mesh3, @assembleQFE3) - exactval);
h(3) = get_MeshWidth(mesh3);

err1(4) = abs(test_assembleQFE(mesh4, @assembleQFE1) - exactval);
err2(4) = abs(test_assembleQFE(mesh4, @assembleQFE2) - exactval);
err3(4) = abs(test_assembleQFE(mesh4, @assembleQFE3) - exactval);
h(4) = get_MeshWidth(mesh4);

err1(5) = abs(test_assembleQFE(mesh5, @assembleQFE1) - exactval);
err2(5) = abs(test_assembleQFE(mesh5, @assembleQFE2) - exactval);
err3(5) = abs(test_assembleQFE(mesh5, @assembleQFE3) - exactval);
h(5) = get_MeshWidth(mesh5);

figure(1);
loglog(h, err1);
xlabel('h'); ylabel('L^2-error'); title('assembleQFE1');

figure(2);
loglog(h, err2);
xlabel('h'); ylabel('L^2-error'); title('assembleQFE2');

figure(3);
loglog(h, err3);
xlabel('h'); ylabel('L^2-error'); title('assembleQFE3');
